"use strict";
this.name                   = "Hard Eject";
this.author                 = "Stranger";
this.copyright				= "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description			= "Script for simulating payment for lost equipment after ejecting in escape capsule.";
this.version				= "0.4.1";

//this equipment remove in any case
this.$equipment_remove = new Array(
    "EQ_CLOAKING_DEVICE",
    "EQ_MILITARY_JAMMER",
    "EQ_MILITARY_SCANNER_FILTER",
    "EQ_NAVAL_ENERGY_UNIT",
    "EQ_SHIELD_ENHANCER"
);

this.shipLaunchedFromStation = function()
	{
    this.$escapeFlag = 0;        // reset eject history
    }

this.shipLaunchedEscapePod = function()
    {
    this.$escapeFlag = 1;        // eject recorded
    }

this.shipDockedWithStation = function()
	{
    if (this.$escapeFlag == 1)    // eject detected
        {        
        for (var i = 0; i < this.$equipment_remove.length; i++)
            {
            player.ship.removeEquipment(this.$equipment_remove[i]);
            }
        var shipRoleInfo = player.ship.shipClassName;
        if (shipRoleInfo.indexOf("Mining") != -1 || shipRoleInfo.indexOf("Bushmaster") != -1)
            {
            player.ship.forwardWeapon = "EQ_WEAPON_MINING_LASER";   // miner scenario
            }
        else
            {
            player.ship.forwardWeapon = "EQ_WEAPON_PULSE_LASER";    // generic scenario
            }
        player.ship.aftWeapon = "EQ_WEAPON_NONE";        
        player.ship.portWeapon = "EQ_WEAPON_NONE";
        player.ship.starboardWeapon = "EQ_WEAPON_NONE";
        player.ship.awardEquipment("EQ_MISSILE_REMOVAL");

        var eqList = player.ship.equipment;
        // check player legal status AND unlicensed equipment
        if (player.bounty == 0 && (!missionVariables.anarchies_salvaged_equipment || missionVariables.anarchies_salvaged_equipment == 0))         
            {
            for (var i = 0; i < eqList.length; i++)
                {
                var eq = eqList[i];
                // processing any remaining equipment with exception of Breakable Equipment AND Galactic Hyperdrive
                if (player.ship.equipmentStatus(eq.equipmentKey) == "EQUIPMENT_OK" && eq.equipmentKey.indexOf("EQ_BREAKABLE") < 0 && eq.equipmentKey != "EQ_GAL_DRIVE" && eq.damageProbability > 0)
                    {
                    player.ship.setEquipmentStatus(eq.equipmentKey, "EQUIPMENT_DAMAGED");
                    }    
                }          
            }
        else
            {
            for (var i = 0; i < eqList.length; i++)
                {
                var eq = eqList[i];
                if (eq.equipmentKey.indexOf("EQ_BREAKABLE") < 0 && eq.equipmentKey != "EQ_GAL_DRIVE")
                    {
                    player.ship.removeEquipment(eq.equipmentKey);
                    }
                }
            missionVariables.anarchies_salvaged_equipment = 0;  // erase salvaged equipment history
            }
        }
    }
